<?php
    require_once 'conf.php';
    require_once 'DB.php';

    // Connecting  to the Database.
    $dbc =& DB::connect( $liveuserConfig['permContainer']['dsn'], true );
    if( DB::isError( $dbc ) )
		die('Cannot connect: ' . $dbc->getMessage());
    
    // Setting Assoc as default fetch mode.
    $dbc->setFetchMode(DB_FETCHMODE_ASSOC);

    // get the area_define_name and the area_name of each area in current language.
    $res = $dbc->query('SELECT
                            A.area_define_name,
                            AN.area_name
                        FROM
                            liveuser_areas AS A
                        INNER JOIN
                            liveuser_area_names AS AN
                        ON
                            A.area_id = AN.area_id
                        INNER JOIN
                            liveuser_languages AS L
                        ON
                            AN.language_id = L.language_id
                        WHERE
                            L.two_letter_name = ' . $dbc->quote( $_GET['language'] ) . '
                        ORDER BY
                            A.area_id');

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html>
<head>
    <title>Navigation</title>
    <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
    <style type="text/css">
	<!--
	table {  
		background-color: #CCCCCC; 
		border-color: 1px solid #000;
	}
	body {  
		font-family: Verdana, Arial, Helvetica, sans-serif; 
		font-size: 12px; 
		color: #000000; 
		background-color: #FFFFFF
	}
	
	.center {
   		text-align: center;
	}
	.center table {
   		margin: auto;
	} 
	-->
    </style>
</head>

<body>
    <h3>Navigation</h3>
    <table border="0" cellpadding="5">
<?php
    // print navigation
    while ($row = $res->fetchRow()) {
?>
        <tr>
            <td><li></td>
            <td><a href="<?php echo strtolower($row['area_define_name']); ?>.php" target="main"><?php echo $row['area_name']; ?></a></td>
        </tr>
<?php
    }
?>
    </table>
    <p>&nbsp;</p>
    <form method="POST" action="example.php" target="_parent">
        <select name="language" size="1" onChange="submit()">
<?php
    $res = $dbc->query('SELECT
                            two_letter_name,
                            native_name
                        FROM
                            liveuser_languages');
    // print language options
    while( $row = $res->fetchRow() ) {
    
    $row['two_letter_name'] == $_GET['language'] ? $selected = ' selected' : $selected = '';
?>
            <option value="<?php echo $row['two_letter_name'];?>"<?php echo $selected; ?>><?php echo $row['native_name']; ?></option>';
<?php
    }
?>
        </select>
    </form>
    <p>&nbsp;</p>
    <p>&nbsp; </p>
</body>
</html>